From: TANIGUCHI Takaki <takaki@asis.media-as.org>
Date: Tue, 24 Nov 2015 20:40:16 +0900
Subject: Don't use duplicated modules

fix path
---
 botocore/awsrequest.py   | 12 ++++++------
 botocore/compat.py       |  6 +++---
 botocore/endpoint.py     | 14 +++++++-------
 botocore/exceptions.py   |  2 +-
 botocore/retryhandler.py |  4 ++--
 botocore/stub.py         |  2 +-
 botocore/utils.py        |  2 +-
 7 files changed, 21 insertions(+), 21 deletions(-)

--- a/botocore/awsrequest.py
+++ b/botocore/awsrequest.py
@@ -23,15 +23,15 @@ from botocore.compat import HTTPHeaders,
     urlparse
 from botocore.exceptions import UnseekableStreamError
 from botocore.utils import percent_encode_sequence
-from botocore.vendored.requests import models
-from botocore.vendored.requests.sessions import REDIRECT_STATI
-from botocore.vendored.requests.packages.urllib3.connection import \
+from requests import models
+from requests.sessions import REDIRECT_STATI
+from urllib3.connection import \
     VerifiedHTTPSConnection
-from botocore.vendored.requests.packages.urllib3.connection import \
+from urllib3.connection import \
     HTTPConnection
-from botocore.vendored.requests.packages.urllib3.connectionpool import \
+from urllib3.connectionpool import \
     HTTPConnectionPool
-from botocore.vendored.requests.packages.urllib3.connectionpool import \
+from urllib3.connectionpool import \
     HTTPSConnectionPool
 
 
--- a/botocore/compat.py
+++ b/botocore/compat.py
@@ -21,15 +21,15 @@ import logging
 import shlex
 from math import floor
 
-from botocore.vendored import six
+import six
 from botocore.exceptions import MD5UnavailableError
-from botocore.vendored.requests.packages.urllib3 import exceptions
+from urllib3 import exceptions
 
 logger = logging.getLogger(__name__)
 
 
 if six.PY3:
-    from botocore.vendored.six.moves import http_client
+    from six.moves import http_client
 
     class HTTPHeaders(http_client.HTTPMessage):
         pass
--- a/botocore/endpoint.py
+++ b/botocore/endpoint.py
@@ -17,11 +17,11 @@ import logging
 import time
 import threading
 
-from botocore.vendored.requests.adapters import HTTPAdapter
-from botocore.vendored.requests.sessions import Session
-from botocore.vendored.requests.utils import get_environ_proxies
-from botocore.vendored.requests.exceptions import ConnectionError
-from botocore.vendored import six
+from requests.adapters import HTTPAdapter
+from requests.sessions import Session
+from requests.utils import get_environ_proxies
+from requests.exceptions import ConnectionError
+import six
 
 from botocore.awsrequest import create_request_object
 from botocore.exceptions import UnknownEndpointError
@@ -42,7 +42,7 @@ MAX_POOL_CONNECTIONS = 10
 filter_ssl_warnings()
 
 try:
-    from botocore.vendored.requests.packages.urllib3.contrib import pyopenssl
+    from urllib3.contrib import pyopenssl
     pyopenssl.extract_from_urllib3()
 except ImportError:
     pass
@@ -54,7 +54,7 @@ def convert_to_response_dict(http_respon
     This converts the requests library's HTTP response object to
     a dictionary.
 
-    :type http_response: botocore.vendored.requests.model.Response
+    :type http_response: requests.model.Response
     :param http_response: The HTTP response from an AWS service request.
 
     :rtype: dict
--- a/botocore/exceptions.py
+++ b/botocore/exceptions.py
@@ -12,7 +12,7 @@
 # ANY KIND, either express or implied. See the License for the specific
 # language governing permissions and limitations under the License.
 from __future__ import unicode_literals
-from botocore.vendored.requests.exceptions import ConnectionError
+from requests.exceptions import ConnectionError
 
 
 class BotoCoreError(Exception):
--- a/botocore/retryhandler.py
+++ b/botocore/retryhandler.py
@@ -17,8 +17,8 @@ import functools
 import logging
 from binascii import crc32
 
-from botocore.vendored.requests import ConnectionError, Timeout
-from botocore.vendored.requests.packages.urllib3.exceptions import ClosedPoolError
+from requests import ConnectionError, Timeout
+from urllib3.exceptions import ClosedPoolError
 
 from botocore.exceptions import ChecksumError, EndpointConnectionError
 
--- a/botocore/stub.py
+++ b/botocore/stub.py
@@ -17,7 +17,7 @@ from pprint import pformat
 from botocore.validate import validate_parameters
 from botocore.exceptions import ParamValidationError, \
     StubResponseError, StubAssertionError, UnStubbedResponseError
-from botocore.vendored.requests.models import Response
+from requests.models import Response
 
 
 class _ANY(object):
--- a/botocore/utils.py
+++ b/botocore/utils.py
@@ -28,7 +28,7 @@ from botocore.exceptions import InvalidE
 from botocore.exceptions import InvalidDNSNameError, ClientError
 from botocore.exceptions import MetadataRetrievalError
 from botocore.compat import json, quote, zip_longest, urlsplit, urlunsplit
-from botocore.vendored import requests
+import requests
 from botocore.compat import OrderedDict, six
 
 
